Subject: bug#11927: shred.c i686-specific warning from gcc-4.7 on fedora 17

From: Paul Eggert <[email-masked]>
Date: Thu, 12 Jul 2012 16:29:02 -0700

On 07/12/2012 02:27 PM, Jim Meyering wrote:
> I didn't really understand the cause

That one is one of my least favorite warnings
because sometimes it warns about real bugs but
often, as in your case, the warning is either
bogus or so hard to figure out that it might as
well be bogus.  I see that you and I and others have
been filing GCC bug reports in this area:

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=51309
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=48267
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=52904
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=34515
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=52560
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=49234

In this particular case the shred.c rewrite seems harmless.